curl --request GET \
--url https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"isEnabled": true,
"legalName": "<string>",
"shortName": "<string>",
"types": [
"BANK"
],
"address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"country": "<string>",
"postalCode": "<string>",
"stateOrProvince": "<string>"
},
"childOrganizationTypeCounts": {},
"domainName": "<string>",
"embeddedBusinessData": {
"businessStructureType": "<string>",
"formationDate": "2023-12-25",
"naicsCode": "<string>",
"taxId": {
"maskedTaxId": "<string>",
"taxIdType": "<string>"
}
},
"phoneNumber": "<string>"
}The caller must have a relationship with the target organization to access its details. Requires the org:read:all scope.
Token types: APP, USER | Required scopes: org:read:all
curl --request GET \
--url https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"isEnabled": true,
"legalName": "<string>",
"shortName": "<string>",
"types": [
"BANK"
],
"address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"country": "<string>",
"postalCode": "<string>",
"stateOrProvince": "<string>"
},
"childOrganizationTypeCounts": {},
"domainName": "<string>",
"embeddedBusinessData": {
"businessStructureType": "<string>",
"formationDate": "2023-12-25",
"naicsCode": "<string>",
"taxId": {
"maskedTaxId": "<string>",
"taxIdType": "<string>"
}
},
"phoneNumber": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the organization to retrieve.
Returns the organization details.
Response DTO for the organization details endpoint.
The unique identifier of the organization.
The display name of the organization.
Whether the organization is currently enabled (active within the time window).
The legal name of the organization.
A short identifier for the organization.
The types assigned to the organization (e.g., VSP, Bank).
BANK, EMBEDDED, PLATFORM, TRANSACTOR, VERTICAL_SOFTWARE_PROVIDER The organization's address, if available.
Show child attributes
Counts of direct child organizations grouped by type (e.g., {"VERTICAL_SOFTWARE_PROVIDER": 3, "EMBEDDED": 2}). Empty dictionary if the organization has no children.
Show child attributes
The domain name / website of the organization.
Embedded business entity data, populated when the target organization has embedded data.
Show child attributes
The organization's phone number, if available.
Was this page helpful?